<%@ page contentType="text/html;charset=gb2312"%> 
<%@ page import="java.io.*"%> 
<html> 
<head> 
<title>判断是否为空白文件</title> 
</head> 
<body> 
<% 
String path=request.getRealPath("/"); 
out.println(path); 
FileReader fr=new FileReader(path + "\\AtEnd.txt");//建立FileReader对象，并实例化为fr 
//对FileReader类生成的对象使用read()方法，可以从字符流中读取下一个字符。 
if(fr.read()==-1)//判断是否已读到文件的结尾 
{ 
out.print("AtEnd.txt文件中没有数据<br>"); 
}else{ 
out.println("AtEnd.txt文件中有数据"); 
} 
fr.close(); 
%> 
</body> 
</html> 
